¿Cómo conectar la fuente de Android a Eclipse?

Mientras intento depurar un programa que escribí en Eclipse para Android, recibo un error diciendo que no hay adjunto de código fuente para android.jar .

¿Cómo puedo obtener ese origen conectado a Eclipse para continuar con mi depuración?

3 Solutions collect form web for “¿Cómo conectar la fuente de Android a Eclipse?”

En Eclipse:

Ventana> Android SDK Manager, instale "Fuentes para Android SDK" bajo Android 4.0

Cuando se le solicite "Sin fuentes adjuntas …", haga clic en el botón y, a continuación, elija el directorio " su Android SDK directorio / sources / android- API nivel /"

Ejemplo: C: \ … \ android-sdk-windows \ sources \ android-16

Si realmente desea tener los recursos android.jar, siga estos sencillos pasos: (para Eclipse IDE)

  1. Instalar el plugin Android Source yendo a Help-> Install New Software-> add this site: " http://adt-addons.googlecode.com/svn/trunk/source/com.android.ide.eclipse.source.update/ ". Seleccione Fuentes de Android en la lista, haga clic en Siguiente e instálelo como de costumbre. Reinicie Eclipse cuando se le solicite.

  2. Si las fuentes aún no están conectadas, adjúntelas manualmente. Encontrarás las fuentes en la carpeta del complemento por lo general ECLIPSE_PATH \ plugins \ com.android.ide.eclipse.source_MAY_BE_VARY \ VERSION Dependiendo de la versión de Android, estarán en las diferentes carpetas. (Por ejemplo: para Android 4.4 las fuentes están en la carpeta denominada 14 ). Las fuentes estarán en el archivo source.zip .

En el explorador de paquetes de Eclipse:

Right click en android.jar entonces Maven->Donwload Sources .

Espere un poco hasta que el proceso esté terminado y ya está. (No estoy seguro si comprobar "Instalar Fuentes" en Android SDK Manager es un requisito previo para esto, pero puede intentar y decirnos)

  • Eclipse se congela todo el tiempo con Ubuntu
  • Error al crear el mensaje de error de la clase BuildConfig en eclipse
  • Clase de llamada en ButtonClick (Android)
  • Eclipse se compila con éxito, pero todavía da errores semánticos
  • ERROR: La aplicación requiere la versión API 14. La versión del API del dispositivo es 13 (Android 3.2.1)
  • Convertir proyecto java en proyecto android en Eclipse
  • ADT eclipse xml editor de texto de diseño - a menudo roto hasta archivo cerrado y reabierto
  • Proyecto de referencia (puro java) en el proyecto de Android (No se pudo encontrar la clase)
  • NullPointerException en el tutorial de prueba de actividad
  • eclipse me dice que mi proyecto tiene errores, nada es rojo-destacado
  • Android eclipse jedisct1 / libsodium por donde empezar
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.